From a00804be83574f0cecb823a42a7e55c9ab2c49f0 Mon Sep 17 00:00:00 2001
From: Lin Bai <lbai@codeaurora.org>
Date: Tue, 5 Mar 2019 12:44:30 +0800
Subject: [PATCH 04/14] qmi: porting qmi module to Ubuntu/x86

---
 qmi/qmi_encdec.c         |  4 ++++
 qmi/qmi_encdec_priv.h    |  4 ++++
 qmi/qmi_interface.c      | 26 ++++++++++++++++++++++++--
 qmi/qmi_interface_priv.h |  6 ++++++
 4 files changed, 38 insertions(+), 2 deletions(-)
 mode change 100644 => 100755 qmi/qmi_encdec.c
 mode change 100644 => 100755 qmi/qmi_encdec_priv.h
 mode change 100644 => 100755 qmi/qmi_interface.c
 mode change 100644 => 100755 qmi/qmi_interface_priv.h

diff --git a/qmi/qmi_encdec.c b/qmi/qmi_encdec.c
old mode 100644
new mode 100755
index 72b506b..259db19
--- a/qmi/qmi_encdec.c
+++ b/qmi/qmi_encdec.c
@@ -18,7 +18,11 @@
 #include <linux/errno.h>
 #include <linux/io.h>
 #include <linux/string.h>
+#ifdef CONFIG_NAPIER_X86
+#include "qmi_encdec.h"
+#else
 #include <linux/qmi_encdec.h>
+#endif
 
 #include "qmi_encdec_priv.h"
 
diff --git a/qmi/qmi_encdec_priv.h b/qmi/qmi_encdec_priv.h
old mode 100644
new mode 100755
index 97fe45b..4c2a851
--- a/qmi/qmi_encdec_priv.h
+++ b/qmi/qmi_encdec_priv.h
@@ -19,7 +19,11 @@
 #include <linux/list.h>
 #include <linux/socket.h>
 #include <linux/gfp.h>
+#ifdef CONFIG_NAPIER_X86
+#include "qmi_encdec.h"
+#else
 #include <linux/qmi_encdec.h>
+#endif
 
 #define QMI_ENCDEC_ENCODE_TLV(type, length, p_dst) do { \
 	*p_dst++ = type; \
diff --git a/qmi/qmi_interface.c b/qmi/qmi_interface.c
old mode 100644
new mode 100755
index 0e7bf13..856c73b
--- a/qmi/qmi_interface.c
+++ b/qmi/qmi_interface.c
@@ -24,14 +24,20 @@
 #include <linux/list.h>
 #include <linux/socket.h>
 #include <linux/gfp.h>
-#include <linux/qmi_encdec.h>
 #include <linux/workqueue.h>
 #include <linux/mutex.h>
 #include <linux/hashtable.h>
+#ifdef CONFIG_NAPIER_X86
+#include "ipc_router.h"
+#include "qmi_encdec.h"
+#include "msm_qmi_interface.h"
+#else
+#include <linux/qmi_encdec.h>
 #include <linux/ipc_router.h>
 #include <linux/ipc_logging.h>
 
 #include <soc/qcom/msm_qmi_interface.h>
+#endif
 
 #include "qmi_interface_priv.h"
 
@@ -40,6 +46,19 @@
 #define MAX_WQ_NAME_LEN 20
 #define QMI_REQ_RESP_LOG_PAGES 3
 #define QMI_IND_LOG_PAGES 2
+#ifdef CONFIG_NAPIER_X86
+#define QMI_REQ_RESP_LOG(buf...) \
+do { \
+	if (qmi_req_resp_log_ctx) { \
+	} \
+} while (0)
+
+#define QMI_IND_LOG(buf...) \
+do { \
+	if (qmi_ind_log_ctx) { \
+	} \
+} while (0)
+#else
 #define QMI_REQ_RESP_LOG(buf...) \
 do { \
 	if (qmi_req_resp_log_ctx) { \
@@ -52,7 +71,8 @@ do { \
 	if (qmi_ind_log_ctx) { \
 		ipc_log_string(qmi_ind_log_ctx, buf); \
 	} \
-} while (0) \
+} while (0)
+#endif
 
 static LIST_HEAD(svc_event_nb_list);
 static DEFINE_MUTEX(svc_event_nb_list_lock);
@@ -2137,6 +2157,7 @@ static void qmi_svc_event_notifier_init(void)
  */
 void qmi_log_init(void)
 {
+#ifndef CONFIG_NAPIER_X86
 	qmi_req_resp_log_ctx =
 		ipc_log_context_create(QMI_REQ_RESP_LOG_PAGES,
 			"kqmi_req_resp", 0);
@@ -2148,6 +2169,7 @@ void qmi_log_init(void)
 	if (!qmi_ind_log_ctx)
 		pr_err("%s: Unable to create QMI IPC %s",
 				"logging for Indications", __func__);
+#endif
 }
 
 /**
diff --git a/qmi/qmi_interface_priv.h b/qmi/qmi_interface_priv.h
old mode 100644
new mode 100755
index ef3e692..130f3af
--- a/qmi/qmi_interface_priv.h
+++ b/qmi/qmi_interface_priv.h
@@ -20,9 +20,15 @@
 #include <linux/socket.h>
 #include <linux/gfp.h>
 #include <linux/platform_device.h>
+#ifdef CONFIG_NAPIER_X86
+#include "qmi_encdec.h"
+
+#include "msm_qmi_interface.h"
+#else
 #include <linux/qmi_encdec.h>
 
 #include <soc/qcom/msm_qmi_interface.h>
+#endif
 
 enum txn_type {
 	QMI_SYNC_TXN = 1,
-- 
1.9.1

